
Foreman - Feature #29224

CoreOS unattended provisioning

02/28/2020 12:08 PM - Lukas Zapletal

Status: New   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

CoreOS ignition now supports ability to "call home", therefore bare-metal (PXE/HTTP UEFI/iPXE) provisioning should be possible via

Foreman. This needs to be tested and ignition template must be provided.

https://github.com/coreos/coreos-installer/issues/21

Related issues:

Related to Foreman - Feature #27604: Support RedHat CoreOS and Fedora CoreOS ... Closed

Related to Foreman - Bug #32643: Rationalize FCOS/Flatcar/RHCoreOS operating ... New

History

#1 - 02/28/2020 12:09 PM - Lukas Zapletal

- Related to Feature #27604: Support RedHat CoreOS and Fedora CoreOS as operating systems added

#2 - 03/06/2020 01:25 PM - Lukas Zapletal

Builds can be downloaded from: https://builds.coreos.fedoraproject.org/browser

Docs: https://docs.fedoraproject.org/en-US/fedora-coreos/bare-metal/

#3 - 10/01/2020 01:31 PM - Lukas Zapletal

For the record, Foreman Omaha plugin provies CoreOS/Flatcar provisioning capabilities:

https://github.com/theforeman/foreman_omaha

#4 - 05/20/2021 06:21 PM - Ondřej Ezr

- Category set to Unattended installations

- Triaged changed from No to Yes

#5 - 05/20/2021 06:24 PM - Ondřej Ezr

- Related to Bug #32643: Rationalize FCOS/Flatcar/RHCoreOS operating system icons added
